Page MenuHomePhabricator

merge: add commands.merge.require-rev to require an argument to hg merge
ClosedPublic

Authored by spectral on Dec 12 2019, 5:49 PM.

Details

Summary

This is related to commands.rebase.requiredest, commands.update.requiredest, and
commands.push.require-revs. Since it isn't really a "destination", I went with
require-rev to be similar to push's require-revs.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

spectral created this revision.Dec 12 2019, 5:49 PM
dlax requested changes to this revision.Dec 13 2019, 3:10 AM
dlax added a subscriber: dlax.

This should be documented in mercurial/helptext/config.txt I think.

Otherwise, this look sensible to me.

This revision now requires changes to proceed.Dec 13 2019, 3:10 AM
spectral updated this revision to Diff 18722.Dec 13 2019, 8:38 PM
In D7620#112376, @dlax wrote:

This should be documented in mercurial/helptext/config.txt I think.

Done.

dlax accepted this revision.Dec 14 2019, 4:32 AM
pulkit accepted this revision.Dec 16 2019, 12:39 AM
This revision is now accepted and ready to land.Dec 16 2019, 12:39 AM